SDL_PathInfo Struct Reference

`#include <SDL_filesystem.h>`

## Data Fields

SDL_PathType | type
Uint64 | size
SDL_Time | create_time
SDL_Time | modify_time
SDL_Time | access_time

## Detailed Description

Information about a path on the filesystem.

Since
  This datatype is available since SDL 3.2.0.

See also
  SDL_GetPathInfo
  SDL_GetStoragePathInfo

Definition at line 267 of file SDL_filesystem.h.

## Field Documentation

## access_time

SDL_Time SDL_PathInfo::access_time

the last time the path was read

Definition at line 273 of file SDL_filesystem.h.

## create_time

SDL_Time SDL_PathInfo::create_time

the time when the path was created

Definition at line 271 of file SDL_filesystem.h.

## modify_time

SDL_Time SDL_PathInfo::modify_time

the last time the path was modified

Definition at line 272 of file SDL_filesystem.h.

## size

Uint64 SDL_PathInfo::size

the file size in bytes

Definition at line 270 of file SDL_filesystem.h.

## type

SDL_PathType SDL_PathInfo::type

the path type

Definition at line 269 of file SDL_filesystem.h.

The documentation for this struct was generated from the following file:

- SDL_filesystem.h